import { request } from '../utils/request';

export function groupBuyList() {
  return request({
    url: '/sgyrdd/category/groupBuyList',
    method: 'GET',
  });
}

// 新增收货地址
export async function addAddress() {
  return request({
    url: '/sgyrdd/useraddr/add',
    method: 'GET',
  });
}
// 修改收货地址
export async function updateAddress() {
  return request({
    url: '/sgyrdd/useraddr/update',
    method: 'GET',
  });
}
// 删除收货地址
export async function deleteAddress(addrId) {
  return request({
    url: `/sgyrdd/useraddr/delete/${addrId}`,
    method: 'GET',
  });
}
// 查询收货地址列表
export async function getAddressList() {
  return request({
    url: '/sgyrdd/useraddr/list',
    method: 'GET',
  });
}
